Subject: Re: whitespace.el: auto-cleanup on kill prevents killing read-only buffers

From: Reuben Thomas <[email-masked]>
Date: Wed, 4 Jun 2008 15:52:19 +0100 (BST)

On Fri, 2 May 2008, Reuben Thomas wrote:

> I have whitespace-global-mode on and have it set to auto-cleanup on kill. 
> This stops read-only buffers from being killed, as auto-cleanup tries to 
> clean them up, gets an error, and aborts the kill.
>
> The old whitespace mode used to check to see if it was being called in a 
> read-only buffer, and didn't try to clean up under those circumstances.
>
> I'm using Emacs 23.0.60.1, but as far as I can tell the problem still exists 
> in CVS head.

This problem can be fixed by wrapping the body of whitespace-clean in 
(unless buffer-read-only). I don't know if that fix has problems, but it at 
least works for me.

-- 
http://rrt.sc3d.org/ | Matthew 5:37 <-- tri-state logic considered harmful